
Application: gvSIG desktop - gvSIG bugs #1340
Marker fill symbol in polygon layer does not works
10/30/2012 01:27 PM - María Maluenda

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Symbology
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2056 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1.- Open gvSIG
2.- Add new view (EPSG 23030)
3.- Add new layer (http://downloads.gvsig.org/download/geodata/vector/SHP2D/municipios4.navarra.zip)
4.- Click right button in layer Toc
5.- Select properties
6.- Folder Symbols, apply unique symbols / Click Choose symbol / Click New/ Type=marker fill symbol / 
7.- If you click Random, a warning appears: java.lang.NullPointerException
8.- Click Grid, and select Choose marker, select New a draw a marker
9.- Click Ok to close all dialog boxes and apply marker fill symbol
The polygon layer appears in white
----------------------------
1.- Abrir gvSIG
2.- Añadir nueva Vista (EPSG 23030)
3.- Añadir nueva capa (http://downloads.gvsig.org/download/geodata/vector/SHP2D/municipios4.navarra.zip)
4.- Haga clic en el botón derecho en la capa en Toc
5.- Seleccione en propiedades
6.- Pestaña de Símbolos, aplicar símbolos únicos /Clic en Seleccionar símbolo / Clic en Nuevo / Tipo = marcador de relleno/
7.- Si hace clic en Aleatorio, aparecerá una advertencia: java.lang.NullPointerException
8.- Clic en Grid y seleccione Elegir marcador, Nuevo y dibujar un marcador
9.- Clic en Aceptar hasta cerrar todos los cuadros de diálogo y aplicar el símbolo de marcador de relleno
La capa de polígonos aparece en blanco

History
#1 - 12/07/2012 01:47 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-final

#2 - 12/12/2012 11:22 PM - Manuel Madrid
- Target version deleted (2.0.0-final)

#3 - 12/13/2013 01:57 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#4 - 12/16/2013 02:02 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Target version set to 2.1.0-2223-rc1

Fixed draw method (affine transform was ignored in some cases).

gvsig-desktop:r40985

#5 - 01/13/2014 08:55 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#6 - 01/27/2014 06:52 PM - Álvaro Anguix
- Status changed from Fixed to Closed
